package com.ruoyi.project.ticket.service.impl;

import com.ruoyi.project.ticket.domain.TDelayPermitOther;
import com.ruoyi.project.ticket.mapper.TDelayPermitOtherMapper;
import com.ruoyi.project.ticket.service.ITDelayPermitOtherService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 延期票附属对象Service业务层处理
 *
 * @author ruoyi
 * @date 2021-12-23
 */
@Service
public class TDelayPermitOtherServiceImpl implements ITDelayPermitOtherService {

    @Resource
    private TDelayPermitOtherMapper tDelayPermitOtherMapper;

    @Override
    public List<TDelayPermitOther> selectTDelayPermitOtherByIds(Long vId) {
        return tDelayPermitOtherMapper.selectTDelayPermitOtherByIds(vId);
    }

    /**
     * 查询延期票附属对象
     *
     * @param id 延期票附属对象ID
     * @return 延期票附属对象
     */
    @Override
    public TDelayPermitOther selectTDelayPermitOtherById(Long id) {
        return tDelayPermitOtherMapper.selectTDelayPermitOtherById(id);
    }

    /**
     * 查询延期票附属对象列表
     *
     * @param tDelayPermitOther 延期票附属对象
     * @return 延期票附属对象
     */
    @Override
    public List<TDelayPermitOther> selectTDelayPermitOtherList(TDelayPermitOther tDelayPermitOther) {
        return tDelayPermitOtherMapper.selectTDelayPermitOtherList(tDelayPermitOther);
    }

    /**
     * 新增延期票附属对象
     *
     * @param tDelayPermitOther 延期票附属对象
     * @return 结果
     */
    @Override
    public int insertTDelayPermitOther(TDelayPermitOther tDelayPermitOther) {
        return tDelayPermitOtherMapper.insertTDelayPermitOther(tDelayPermitOther);
    }

    /**
     * 修改延期票附属对象
     *
     * @param tDelayPermitOther 延期票附属对象
     * @return 结果
     */
    @Override
    public int updateTDelayPermitOther(TDelayPermitOther tDelayPermitOther) {
        return tDelayPermitOtherMapper.updateTDelayPermitOther(tDelayPermitOther);
    }

    /**
     * 批量删除延期票附属对象
     *
     * @param ids 需要删除的延期票附属对象ID
     * @return 结果
     */
    @Override
    public int deleteTDelayPermitOtherByIds(Long[] ids) {
        return tDelayPermitOtherMapper.deleteTDelayPermitOtherByIds(ids);
    }

    /**
     * 删除延期票附属对象信息
     *
     * @param id 延期票附属对象ID
     * @return 结果
     */
    @Override
    public int deleteTDelayPermitOtherById(Long id) {
        return tDelayPermitOtherMapper.deleteTDelayPermitOtherById(id);
    }
}
